Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7819)
@@ -50,5 +50,5 @@
         encoding='utf-8', mode='rb').read()
 
-def SimpleKOFAVocabulary(*terms):
+def SimpleKofaVocabulary(*terms):
     """A well-buildt vocabulary provides terms with a value, token and
        title for each term
@@ -66,7 +66,7 @@
     return [('%s/%s' % (year,year+1), year) for year in year_range]
 
-academic_sessions_vocab = SimpleKOFAVocabulary(*academic_sessions())
-
-registration_states_vocab = SimpleKOFAVocabulary(
+academic_sessions_vocab = SimpleKofaVocabulary(*academic_sessions())
+
+registration_states_vocab = SimpleKofaVocabulary(
     (_('created'), CREATED),
     (_('admitted'), ADMITTED),
@@ -187,5 +187,5 @@
     """
 
-class IKOFAUtils(Interface):
+class IKofaUtils(Interface):
     """A collection of methods which are subject to customization.
     """
@@ -222,21 +222,21 @@
         """
 
-class IKOFAObject(Interface):
-    """A KOFA object.
+class IKofaObject(Interface):
+    """A Kofa object.
 
     This is merely a marker interface.
     """
 
-class IUniversity(IKOFAObject):
+class IUniversity(IKofaObject):
     """Representation of a university.
     """
 
 
-class IKOFAContainer(IKOFAObject):
-    """A container for KOFA objects.
-    """
-
-class IKOFAContained(IKOFAObject):
-    """An item contained in an IKOFAContainer.
+class IKofaContainer(IKofaObject):
+    """A container for Kofa objects.
+    """
+
+class IKofaContained(IKofaObject):
+    """An item contained in an IKofaContainer.
     """
 
@@ -267,5 +267,5 @@
         """
 
-class IKOFAExporter(Interface):
+class IKofaExporter(Interface):
     """An exporter for objects.
     """
@@ -279,5 +279,5 @@
         """
 
-class IKOFAXMLExporter(Interface):
+class IKofaXMLExporter(Interface):
     """An XML exporter for objects.
     """
@@ -291,5 +291,5 @@
         """
 
-class IKOFAXMLImporter(Interface):
+class IKofaXMLImporter(Interface):
     """An XML import for objects.
     """
@@ -328,5 +328,5 @@
         """
 
-class IContactForm(IKOFAObject):
+class IContactForm(IKofaObject):
     """A contact form.
     """
@@ -358,6 +358,6 @@
         required = True,)
 
-class IKOFAPrincipalInfo(IPrincipalInfo):
-    """Infos about principals that are users of KOFA KOFA.
+class IKofaPrincipalInfo(IPrincipalInfo):
+    """Infos about principals that are users of Kofa Kofa.
     """
     email = Attribute("The email address of a user")
@@ -365,6 +365,6 @@
 
 
-class IKOFAPrincipal(IPrincipal):
-    """A principle for KOFA KOFA.
+class IKofaPrincipal(IPrincipal):
+    """A principle for Kofa Kofa.
 
     This interface extends zope.security.interfaces.IPrincipal and
@@ -382,5 +382,5 @@
         required=False,)
 
-class IUserAccount(IKOFAObject):
+class IUserAccount(IKofaObject):
     """A user account.
     """
@@ -425,5 +425,5 @@
 
 
-class IUsersContainer(IKOFAObject):
+class IUsersContainer(IKofaObject):
     """A container for users (principals).
 
@@ -450,5 +450,5 @@
         """
 
-class IConfigurationContainer(IKOFAObject):
+class IConfigurationContainer(IKofaObject):
     """A container for session configuration objects.
     """
@@ -462,5 +462,5 @@
     acronym = schema.TextLine(
         title = u'Abbreviated Title of University',
-        default = u'WAeUP.KOFA',
+        default = u'WAeUP.Kofa',
         required = True,
         )
@@ -516,5 +516,5 @@
     email_subject = schema.TextLine(
         title = u'Subject of Email to Administrator',
-        default = u'KOFA Contact',
+        default = u'Kofa Contact',
         required = False,
         )
@@ -539,5 +539,5 @@
         )
 
-class ISessionConfiguration(IKOFAObject):
+class ISessionConfiguration(IKofaObject):
     """A session configuration object.
     """
@@ -606,5 +606,5 @@
     'academic_session'].order
 
-class IDataCenter(IKOFAObject):
+class IDataCenter(IKofaObject):
     """A data center.
 
@@ -669,6 +669,6 @@
         title = u'Longer description of the item found.')
 
-class IKOFAPluggable(Interface):
-    """A component that might be plugged into a KOFA KOFA app.
+class IKofaPluggable(Interface):
+    """A component that might be plugged into a Kofa Kofa app.
 
     Components implementing this interface are referred to as
@@ -807,5 +807,5 @@
         """
 
-class IKOFAWorkflowInfo(IWorkflowInfo):
+class IKofaWorkflowInfo(IWorkflowInfo):
     """A :class:`hurry.workflow.workflow.WorkflowInfo` with additional
        methods for convenience.
@@ -820,5 +820,5 @@
 class ISiteLoggers(Interface):
 
-    loggers = Attribute("A list or generator of registered KOFALoggers")
+    loggers = Attribute("A list or generator of registered KofaLoggers")
 
     def register(name, filename=None, site=None, **options):
@@ -841,5 +841,5 @@
 
     def __init__(name, filename=None, site=None, **options):
-        """Create a KOFA logger instance.
+        """Create a Kofa logger instance.
         """
 
@@ -973,5 +973,5 @@
 
         Returns a tuple ``(raw_file, path, file_like_obj)`` where the
-        ``file_like_obj`` should be a HurryFile, a KOFAImageFile or
+        ``file_like_obj`` should be a HurryFile, a KofaImageFile or
         similar. ``raw_file`` is the (maybe changed) input file and
         ``path`` the relative internal path to store the file at.
Index: main/waeup.kofa/trunk/src/waeup/kofa/language.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/language.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/language.py	(revision 7819)
@@ -22,7 +22,7 @@
 from zope.i18n.interfaces import IUserPreferredLanguages
 from waeup.kofa.configuration import ConfigurationContainer
-from waeup.kofa.interfaces import IKOFAUtils
+from waeup.kofa.interfaces import IKofaUtils
 
-class KOFALanguage(grokcore.component.Adapter):
+class KofaLanguage(grokcore.component.Adapter):
     """Set preferred languages"""
     grokcore.component.context(IBrowserRequest)
@@ -30,5 +30,5 @@
 
     def getPreferredLanguages(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
 
         # This an adapter for the request, so self.context is the request.
Index: main/waeup.kofa/trunk/src/waeup/kofa/meta.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/meta.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/meta.py	(revision 7819)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Grokkers for KOFA components.
+"""Grokkers for Kofa components.
 
 Stuff in here is mainly taken from grok.meta, with some modifications
@@ -61,5 +61,5 @@
             return False
 
-        subscriber = KOFAIndexesUpgradeSubscriber(
+        subscriber = KofaIndexesUpgradeSubscriber(
             catalog_name, indexes, context, module_info)
         subscribed = (site, IObjectUpgradeEvent)
@@ -72,5 +72,5 @@
 
 
-class KOFAIndexesUpgradeSubscriber(IndexesSetupSubscriber):
+class KofaIndexesUpgradeSubscriber(IndexesSetupSubscriber):
     """Helper that sets up indexes when their Grok site is upgraded.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py	(revision 7819)
@@ -22,5 +22,5 @@
 from zope.i18n import translate
 from zope.annotation.interfaces import IAnnotations
-from waeup.kofa.interfaces import IObjectHistory, IKOFAObject, IKOFAUtils
+from waeup.kofa.interfaces import IObjectHistory, IKofaObject, IKofaUtils
 from waeup.kofa.utils.helpers import get_current_principal
 
@@ -30,9 +30,9 @@
     """A history for objects.
 
-    For any object implementing `IKOFAObject` which is annotatable,
+    For any object implementing `IKofaObject` which is annotatable,
     we provide histories. A history for such an object can be obtained
     by adapting it to `IObjectHistory`.
     """
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.implements(IObjectHistory)
 
@@ -68,5 +68,5 @@
         else:
             user = user.title
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         by = 'by'
         if portal_language != 'en':
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7819)
@@ -18,8 +18,8 @@
 from zope.interface import Attribute
 from zope import schema
-from waeup.kofa.interfaces import IKOFAObject, SimpleKOFAVocabulary
+from waeup.kofa.interfaces import IKofaObject, SimpleKofaVocabulary
 from waeup.kofa.interfaces import MessageFactory as _
 
-payment_states = SimpleKOFAVocabulary(
+payment_states = SimpleKofaVocabulary(
     (_('Not yet paid'),'unpaid'),
     (_('Paid'),'paid'),
@@ -27,5 +27,5 @@
     )
 
-payment_categories = SimpleKOFAVocabulary(
+payment_categories = SimpleKofaVocabulary(
     (_('School Fee'),'schoolfee'),
     (_('Clearance'),'clearance'),
@@ -37,10 +37,10 @@
     )
 
-class IPaymentsContainer(IKOFAObject):
+class IPaymentsContainer(IKofaObject):
     """A container for all kind of payment objects.
 
     """
 
-class IPayment(IKOFAObject):
+class IPayment(IKofaObject):
     """A base representation of payments.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/permissions.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/permissions.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/permissions.py	(revision 7819)
@@ -168,11 +168,11 @@
 
 def get_waeup_roles(also_local=False):
-    """Get all KOFA roles.
-
-    KOFA roles are ordinary roles whose id by convention starts with
+    """Get all Kofa roles.
+
+    Kofa roles are ordinary roles whose id by convention starts with
     a ``waeup.`` prefix.
 
     If `also_local` is ``True`` (``False`` by default), also local
-    roles are returned. Local KOFA roles are such whose id starts
+    roles are returned. Local Kofa roles are such whose id starts
     with ``waeup.local.`` prefix (this is also a convention).
 
@@ -181,5 +181,5 @@
     for name, item in get_all_roles():
         if not name.startswith('waeup.'):
-            # Ignore non-KOFA roles...
+            # Ignore non-Kofa roles...
             continue
         if not also_local and name.startswith('waeup.local.'):
@@ -189,9 +189,9 @@
 
 def get_waeup_role_names():
-    """Get the ids of all KOFA roles.
-
-    See :func:`get_waeup_roles` for what a 'KOFARole' is.
-
-    This function returns a sorted list of KOFA role names.
+    """Get the ids of all Kofa roles.
+
+    See :func:`get_waeup_roles` for what a 'KofaRole' is.
+
+    This function returns a sorted list of Kofa role names.
     """
     return sorted([x.id for x in get_waeup_roles()])
Index: main/waeup.kofa/trunk/src/waeup/kofa/schoolgrades.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/schoolgrades.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/schoolgrades.py	(revision 7819)
@@ -25,5 +25,5 @@
 from waeup.kofa.interfaces import IResultEntry, IResultEntryField
 from waeup.kofa.widgets.objectwidget import (
-    KOFAObjectWidget, KOFAObjectDisplayWidget
+    KofaObjectWidget, KofaObjectDisplayWidget
     )
 
@@ -52,9 +52,9 @@
         return
 
-# register KOFAObjectWidgets as default widgets for IResultEntryFields
+# register KofaObjectWidgets as default widgets for IResultEntryFields
 @grok.adapter(IResultEntryField, IBrowserRequest)
 @grok.implementer(IInputWidget)
 def result_entry_input_widget(obj, req):
-    return KOFAObjectWidget(obj, req, ResultEntry)
+    return KofaObjectWidget(obj, req, ResultEntry)
 
 # register a display widget for IResultEntryFields
@@ -62,3 +62,3 @@
 @grok.implementer(IDisplayWidget)
 def result_entry_display_widget(obj, req):
-    return KOFAObjectDisplayWidget(obj, req, ResultEntry)
+    return KofaObjectDisplayWidget(obj, req, ResultEntry)
Index: main/waeup.kofa/trunk/src/waeup/kofa/smtp.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/smtp.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/smtp.py	(revision 7819)
@@ -17,5 +17,5 @@
 ##
 """
-Email (SMTP) services for KOFA.
+Email (SMTP) services for Kofa.
 
 Note About Encodings
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/authentication.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/authentication.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/authentication.py	(revision 7819)
@@ -29,5 +29,5 @@
 from zope.session.interfaces import ISession
 from waeup.kofa.authentication import (
-    KOFAPrincipalInfo, get_principal_role_manager)
+    KofaPrincipalInfo, get_principal_role_manager)
 from waeup.kofa.interfaces import (
     IAuthPluginUtility, IUserAccount, IPasswordValidator)
@@ -135,5 +135,5 @@
         if not account.checkPassword(credentials['password']):
             return None
-        return KOFAPrincipalInfo(id=account.name,
+        return KofaPrincipalInfo(id=account.name,
                              title=account.title,
                              description=account.description,
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 7819)
@@ -33,6 +33,6 @@
 from waeup.kofa.accesscodes.workflow import USED
 from waeup.kofa.browser import (
-    KOFAPage, KOFAEditFormPage, KOFAAddFormPage, KOFADisplayFormPage,
-    ContactAdminForm, KOFAForm)
+    KofaPage, KofaEditFormPage, KofaAddFormPage, KofaDisplayFormPage,
+    ContactAdminForm, KofaForm)
 from waeup.kofa.browser.interfaces import ICaptchaManager
 from waeup.kofa.browser.breadcrumbs import Breadcrumb
@@ -40,6 +40,6 @@
 from waeup.kofa.browser.layout import jsaction, action, UtilityView
 from waeup.kofa.interfaces import (
-    IKOFAObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm,
-    IKOFAUtils, IUniversity)
+    IKofaObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm,
+    IKofaUtils, IUniversity)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.widgets.datewidget import (
@@ -155,5 +155,5 @@
     @property
     def title(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         # There is no request attribute, thus we can only translate
         # to the default (portal) language
@@ -161,5 +161,5 @@
             target_language=portal_language)
 
-class StudentsContainerPage(KOFAPage):
+class StudentsContainerPage(KofaPage):
     """The standard view for student containers.
     """
@@ -194,5 +194,5 @@
         return
 
-class StudentsContainerManagePage(KOFAPage):
+class StudentsContainerManagePage(KofaPage):
     """The manage page for student containers.
     """
@@ -245,5 +245,5 @@
         return
 
-class StudentAddFormPage(KOFAAddFormPage):
+class StudentAddFormPage(KofaAddFormPage):
     """Add-form to add a student.
     """
@@ -265,5 +265,5 @@
         return
 
-class StudentBaseDisplayFormPage(KOFADisplayFormPage):
+class StudentBaseDisplayFormPage(KofaDisplayFormPage):
     """ Page to display student base data
     """
@@ -310,5 +310,5 @@
         usertype = getattr(self.request.principal,
                            'user_type', 'system').title()
-        kofa_utils = getUtility(IKOFAUtils)
+        kofa_utils = getUtility(IKofaUtils)
         success = kofa_utils.sendContactForm(
                 self.request.principal.title,email,
@@ -323,5 +323,5 @@
         return
 
-class StudentBaseManageFormPage(KOFAEditFormPage):
+class StudentBaseManageFormPage(KofaEditFormPage):
     """ View to manage student base data
     """
@@ -388,5 +388,5 @@
         return
 
-class StudentClearanceDisplayFormPage(KOFADisplayFormPage):
+class StudentClearanceDisplayFormPage(KofaDisplayFormPage):
     """ Page to display student clearance data
     """
@@ -415,5 +415,5 @@
     @property
     def title(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         return translate(_('Clearance Data'), 'waeup.kofa',
             target_language=portal_language)
@@ -421,5 +421,5 @@
     @property
     def label(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         return translate(_('Clearance Slip of '),
             'waeup.kofa', target_language=portal_language) \
@@ -434,5 +434,5 @@
             self.context.getStudent(), studentview)
 
-class StudentClearanceManageFormPage(KOFAEditFormPage):
+class StudentClearanceManageFormPage(KofaEditFormPage):
     """ Page to edit student clearance data
     """
@@ -508,5 +508,5 @@
         return
 
-class StudentPersonalDisplayFormPage(KOFADisplayFormPage):
+class StudentPersonalDisplayFormPage(KofaDisplayFormPage):
     """ Page to display student personal data
     """
@@ -523,5 +523,5 @@
             mapping = {'a':self.context.display_fullname})
 
-class StudentPersonalManageFormPage(KOFAEditFormPage):
+class StudentPersonalManageFormPage(KofaEditFormPage):
     """ Page to edit student clearance data
     """
@@ -538,5 +538,5 @@
         return
 
-class StudyCourseDisplayFormPage(KOFADisplayFormPage):
+class StudyCourseDisplayFormPage(KofaDisplayFormPage):
     """ Page to display the student study course data
     """
@@ -556,5 +556,5 @@
     def current_mode(self):
         if self.context.certificate is not None:
-            studymodes_dict = getUtility(IKOFAUtils).getStudyModesDict()
+            studymodes_dict = getUtility(IKofaUtils).getStudyModesDict()
             return studymodes_dict[self.context.certificate.study_mode]
         return
@@ -572,5 +572,5 @@
         return
 
-class StudyCourseManageFormPage(KOFAEditFormPage):
+class StudyCourseManageFormPage(KofaEditFormPage):
     """ Page to edit the student study course data
     """
@@ -645,5 +645,5 @@
         return
 
-class StudyLevelDisplayFormPage(KOFADisplayFormPage):
+class StudyLevelDisplayFormPage(KofaDisplayFormPage):
     """ Page to display student study levels
     """
@@ -662,5 +662,5 @@
     @property
     def label(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         lang = self.request.cookies.get('kofa.language', portal_language)
         level_title = translate(self.context.level_title, 'waeup.kofa',
@@ -688,5 +688,5 @@
     @property
     def title(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         return translate(_('Level Data'), 'waeup.kofa',
             target_language=portal_language)
@@ -694,5 +694,5 @@
     @property
     def content_title(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         return translate(_('Course List'), 'waeup.kofa',
             target_language=portal_language)
@@ -700,5 +700,5 @@
     @property
     def label(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         lang = self.request.cookies.get('kofa.language', portal_language)
         level_title = translate(self.context.level_title, 'waeup.kofa',
@@ -709,5 +709,5 @@
 
     def render(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         Sem = translate(_('Sem.'), 'waeup.kofa', target_language=portal_language)
         Code = translate(_('Code'), 'waeup.kofa', target_language=portal_language)
@@ -735,5 +735,5 @@
             tabledata=tabledata)
 
-class StudyLevelManageFormPage(KOFAEditFormPage):
+class StudyLevelManageFormPage(KofaEditFormPage):
     """ Page to edit the student study level data
     """
@@ -762,5 +762,5 @@
     @property
     def label(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         lang = self.request.cookies.get('kofa.language', portal_language)
         level_title = translate(self.context.level_title, 'waeup.kofa',
@@ -853,5 +853,5 @@
         return
 
-class CourseTicketAddFormPage(KOFAAddFormPage):
+class CourseTicketAddFormPage(KofaAddFormPage):
     """Add a course ticket.
     """
@@ -890,5 +890,5 @@
         self.redirect(self.url(self.context))
 
-class CourseTicketDisplayFormPage(KOFADisplayFormPage):
+class CourseTicketDisplayFormPage(KofaDisplayFormPage):
     """ Page to display course tickets
     """
@@ -906,5 +906,5 @@
             'b':self.context.code})
 
-class CourseTicketManageFormPage(KOFAEditFormPage):
+class CourseTicketManageFormPage(KofaEditFormPage):
     """ Page to manage course tickets
     """
@@ -925,5 +925,5 @@
         return
 
-class PaymentsManageFormPage(KOFAEditFormPage):
+class PaymentsManageFormPage(KofaEditFormPage):
     """ Page to manage the student payments
 
@@ -982,5 +982,5 @@
         self.redirect(self.url(self.context, '@@addop'))
 
-class OnlinePaymentAddFormPage(KOFAAddFormPage):
+class OnlinePaymentAddFormPage(KofaAddFormPage):
     """ Page to add an online payment ticket
     """
@@ -1039,5 +1039,5 @@
         return
 
-class OnlinePaymentDisplayFormPage(KOFADisplayFormPage):
+class OnlinePaymentDisplayFormPage(KofaDisplayFormPage):
     """ Page to view an online payment ticket
     """
@@ -1138,5 +1138,5 @@
 
 
-class AccommodationManageFormPage(KOFAEditFormPage):
+class AccommodationManageFormPage(KofaEditFormPage):
     """ Page to manage bed tickets.
 
@@ -1195,5 +1195,5 @@
         return self.actions
 
-class BedTicketAddPage(KOFAPage):
+class BedTicketAddPage(KofaPage):
     """ Page to add an online payment ticket
     """
@@ -1287,5 +1287,5 @@
             'c':room_nr, 'd':bed_nr,
             'e':bed.bed_type})
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         bedticket.bed_coordinates = translate(
             bc, 'waeup.kofa',target_language=portal_language)
@@ -1297,5 +1297,5 @@
         return
 
-class BedTicketDisplayFormPage(KOFADisplayFormPage):
+class BedTicketDisplayFormPage(KofaDisplayFormPage):
     """ Page to display bed tickets
     """
@@ -1325,5 +1325,5 @@
     @property
     def title(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         return translate(_('Bed Allocation Data'), 'waeup.kofa',
             target_language=portal_language)
@@ -1331,5 +1331,5 @@
     @property
     def label(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         return translate(_('Bed Allocation: '),
             'waeup.kofa', target_language=portal_language) \
@@ -1405,5 +1405,5 @@
             'c':room_nr, 'd':bed_nr,
             'e':new_bed.bed_type})
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         self.context.bed_coordinates = translate(
             bc, 'waeup.kofa',target_language=portal_language)
@@ -1416,5 +1416,5 @@
         return
 
-class StudentHistoryPage(KOFAPage):
+class StudentHistoryPage(KofaPage):
     """ Page to display student clearance data
     """
@@ -1431,5 +1431,5 @@
 # Pages for students only
 
-class StudentBaseEditFormPage(KOFAEditFormPage):
+class StudentBaseEditFormPage(KofaEditFormPage):
     """ View to edit student base data
     """
@@ -1447,5 +1447,5 @@
         return
 
-class StudentChangePasswordPage(KOFAEditFormPage):
+class StudentChangePasswordPage(KofaEditFormPage):
     """ View to manage student base data
     """
@@ -1473,5 +1473,5 @@
         return
 
-class StudentFilesUploadPage(KOFAPage):
+class StudentFilesUploadPage(KofaPage):
     """ View to upload files by student
     """
@@ -1490,5 +1490,5 @@
         return
 
-class StartClearancePage(KOFAPage):
+class StartClearancePage(KofaPage):
     grok.context(IStudent)
     grok.name('start_clearance')
@@ -1593,5 +1593,5 @@
         return
 
-class RequestClearancePage(KOFAPage):
+class RequestClearancePage(KofaPage):
     grok.context(IStudent)
     grok.name('request_clearance')
@@ -1624,5 +1624,5 @@
         return
 
-class StartCourseRegistrationPage(KOFAPage):
+class StartCourseRegistrationPage(KofaPage):
     grok.context(IStudentStudyCourse)
     grok.name('start_course_registration')
@@ -1673,5 +1673,5 @@
         return
 
-class AddStudyLevelFormPage(KOFAEditFormPage):
+class AddStudyLevelFormPage(KofaEditFormPage):
     """ Page for students to add current study levels
     """
@@ -1710,5 +1710,5 @@
         return
 
-class StudyLevelEditFormPage(KOFAEditFormPage):
+class StudyLevelEditFormPage(KofaEditFormPage):
     """ Page to edit the student study level data by students
     """
@@ -1732,5 +1732,5 @@
     @property
     def label(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         lang = self.request.cookies.get('kofa.language', portal_language)
         level_title = translate(self.context.level_title, 'waeup.kofa',
@@ -1816,5 +1816,5 @@
         return
 
-class ChangePasswordRequestPage(KOFAForm):
+class ChangePasswordRequestPage(KofaForm):
     """Captcha'd page for students to request a password change.
     """
@@ -1851,5 +1851,5 @@
         student = list(results)[0]
         # Change password
-        kofa_utils = getUtility(IKOFAUtils)
+        kofa_utils = getUtility(IKofaUtils)
         pwd = kofa_utils.genPassword()
         IUserAccount(student).setPassword(pwd)
@@ -1866,6 +1866,6 @@
         return
 
-class SetPasswordPage(KOFAPage):
-    grok.context(IKOFAObject)
+class SetPasswordPage(KofaPage):
+    grok.context(IKofaObject)
     grok.name('setpassword')
     grok.require('waeup.Anonymous')
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 7819)
@@ -22,5 +22,5 @@
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
 from waeup.kofa.interfaces import (
-    IKOFAObject, academic_sessions_vocab, validate_email, IKOFAUtils)
+    IKofaObject, academic_sessions_vocab, validate_email, IKofaUtils)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.schema import TextLineChoice
@@ -78,5 +78,5 @@
         """
 
-class IStudentsContainer(IKOFAObject):
+class IStudentsContainer(IKofaObject):
     """A students container contains university students.
 
@@ -117,5 +117,5 @@
         """
 
-class IStudentNavigation(IKOFAObject):
+class IStudentNavigation(IKofaObject):
     """Interface needed for student navigation.
 
@@ -126,5 +126,5 @@
         """
 
-class IStudentBase(IKOFAObject):
+class IStudentBase(IKofaObject):
     """Representation of student base data.
 
@@ -206,5 +206,5 @@
         )
 
-class IStudentClearance(IKOFAObject):
+class IStudentClearance(IKofaObject):
     """Representation of student clearance data.
 
@@ -234,5 +234,5 @@
         )
 
-class IStudentPersonal(IKOFAObject):
+class IStudentPersonal(IKofaObject):
     """Representation of student personal data.
 
@@ -268,5 +268,5 @@
         )
 
-class IStudentStudyCourse(IKOFAObject):
+class IStudentStudyCourse(IKofaObject):
     """A container for student study levels.
 
@@ -326,5 +326,5 @@
         )
 
-class IStudentStudyLevel(IKOFAObject):
+class IStudentStudyLevel(IKofaObject):
     """A container for course tickets.
 
@@ -348,5 +348,5 @@
         )
 
-class ICourseTicket(IKOFAObject):
+class ICourseTicket(IKofaObject):
     """A course ticket.
 
@@ -406,10 +406,10 @@
         )
 
-class IStudentAccommodation(IKOFAObject):
+class IStudentAccommodation(IKofaObject):
     """A container for student accommodation objects.
 
     """
 
-class IBedTicket(IKOFAObject):
+class IBedTicket(IKofaObject):
     """A ticket for accommodation booking.
 
@@ -475,5 +475,5 @@
     'p_item'].order
 
-class IStudentChangePassword(IKOFAObject):
+class IStudentChangePassword(IKofaObject):
     """Interface needed for change pasword page.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/student.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/student.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/student.py	(revision 7819)
@@ -28,6 +28,6 @@
 from waeup.kofa.interfaces import (
     IObjectHistory, IUserAccount, IFileStoreNameChooser, IFileStoreHandler,
-    IKOFAUtils, CLEARANCE, registration_states_vocab)
-from waeup.kofa.image import KOFAImageFile
+    IKofaUtils, CLEARANCE, registration_states_vocab)
+from waeup.kofa.image import KofaImageFile
 from waeup.kofa.imagestorage import DefaultFileStoreHandler
 from waeup.kofa.students.interfaces import IStudent, IStudentNavigation
@@ -63,5 +63,5 @@
     def display_fullname(self):
         middlename = getattr(self, 'middlename', None)
-        kofa_utils = getUtility(IKOFAUtils)
+        kofa_utils = getUtility(IKofaUtils)
         return kofa_utils.fullname(self.firstname, self.lastname, middlename)
 
@@ -284,4 +284,4 @@
             StudentFileStoreHandler, self).createFile(
             store, root,  filename, file_id, file)
-        return file, path, KOFAImageFile(
+        return file, path, KofaImageFile(
             file_obj.filename, file_obj.data)
